package com.oreilly.xml;
 
import java.io.File;

import org.jdom.Document;
import org.jdom.input.SAXBuilder;
import org.jdom.output.XMLOutputter;

/**
 * <b><code>PrettyPrinter</code></b> will output the XML document at a
 *   given URI
 * 
 * @author 
 *   <a href="mailto:brettmclaughlin@earthlink.net">Brett McLaughlin</a>
 * @author <a href="mailto:jhunter@servlets.com">Jason Hunter</a>
 * @version 1.0
 */
public class PrettyPrinter {
    
    /**
     * <p>
     * Pretty prints a given XML URI
     * </p>
     */
    public static void main(String[] args) {
        if (args.length != 1) {
            System.out.println("Usage: " +
                "java com.oreilly.xml.PrettyPrinter [XML_URI]");
            return;
        }
        
        String filename = args[0];

        try {
            // Build the Document with SAX and Xerces, no validation
            SAXBuilder builder = new SAXBuilder();

            // Create the document (with validation)
            Document doc = builder.build(new File(filename));

            // Output the document, use standard formatter
            XMLOutputter fmt = new XMLOutputter();
            fmt.output(doc, System.out);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}